 /*********************************************************************/
 /*                                                                   */
 /*                         parse action table                        */
 /*                                                                   */
 /*                                                            . --+  */
 /*                                                      -> --+    |  */
 /*                                                  = --+    |    |  */
 /*                                         other --+    |    |    |  */
 /*                                       ON --+    |    |    |    |  */
 /*                           OTHERWISE --+    |    |    |    |    |  */
 /*                       operator --+    |    |    |    |    |    |  */
 /*                   INITIAL --+    |    |    |    |    |    |    |  */
 /*               string --+    |    |    |    |    |    |    |    |  */
 /*          number --+    |    |    |    |    |    |    |    |    |  */
 /*       word --+    |    |    |    |    |    |    |    |    |    |  */
 /*comment--+    |    |    |    |    |    |    |    |    |    |    |  */
 /*         |    |    |    |    |    |    |    |    |    |    |    |  */
 /*         1    2    3    4    5    6    7    8    9   10   11   12  */
 /*         |    |    |    |    |    |    |    |    |    |    |    |  */
 /*  1 */ ( 1,   3,   4,   4,  31,   4,   3,   3,   1,   4,   4,   4,   
 /*    */     7,   4,   5,   4,   4,   8,  33,  31,   3,  31,   3,   3, 
 /*  2 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,   6,   1,   8,   2,   2,   2,   2,   2,   2, 
 /*  3 */   1,   4,   4,   4,   4,   4,   4,   4,   1,   4,   4,   4,   
 /*    */     4,   7,   4,   4,   4,   8,   4,   4,   4,   4,   4,   4, 
 /*  4 */   1,  29,  10,   4,   2,   4,   2,   2,   1,  10,  10,  10,   
 /*    */     7,  11,   5,   4,  10,   8,   2,   2,   2,   2,   2,   2, 
 /*  5 */   1,   2,   4,   4,   2,   4,   2,   2,   1,   4,   4,   4,   
 /*    */     4,   4,   4,   4,   4,   8,   2,   2,   2,   2,   2,   2, 
 /*  6 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,   6,   1,   8,   2,   2,   2,   2,   2,   2, 
 /*  7 */   1,   2,   1,   1,   2,   1,   2,   2,   1,  10,  10,  10,   
 /*    */     7,  11,   5,   4,  10,   8,   2,   2,   2,   2,   2,   2, 
 /*  8 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     7,   4,   1,   1,   1,   8,   2,   2,   2,   2,   2,   2, 
 /*  9 */   1,   3,   4,   4,  31,   4,  31,   3,   1,  10,  10,  10,   
 /*    */     7,  11,   1,   4,  10,   8,  31,  31,   3,  31,  31,  31, 
 /* 10 */   1,  15,  14,  14,  15,  14,  15,  15,   1,   4,   4,   4,   
 /*    */     4,   4,  13,   4,   4,   8,  15,   1,  15,  15,  15,  15, 
 /* 11 */   1,  15,  14,  14,  15,  14,  15,  15,   1,  16,  14,  14,   
 /*    */     4,  14,   5,   1,   1,   8,  14,  14,  14,  14,  14,  14, 
 /* 12 */   1,   4,   4,   4,   4,   4,   4,   4,   1,  10,  10,  10,   
 /*    */     4,   7,   4,   4,  10,   8,   4,   4,   4,   4,   4,   4, 
 /* 13 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,   6,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 14 */   1,   4,   4,   4,   4,   4,   4,   4,   1,  10,  10,  10,   
 /*    */     4,  11,   5,   4,  10,   8,   4,   4,   4,   4,   4,   4, 
 /* 15 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 16 */   1,  18,   4,   4,  19,   4,  19,  18,   1,  10,  10,  10,   
 /*    */    20,  11,  21,   4,  10,   8,  19,  19,  18,  19,  19,  19, 
 /* 17 */   1,  17,   4,   4,   4,   4,   4,   4,   1,  10,  10,  10,   
 /*    */     4,  11,  14,   4,  10,   8,   4,  24,   4,   4,   4,   4, 
 /* 18 */   1,  18,   4,   4,  19,   4,  19,  19,   1,   4,   4,   4,   
 /*    */    20,   4,   5,   4,   4,   8,  19,  19,  19,  19,  19,  19, 
 /* 19 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  22,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 20 */   1,  18,   4,   4,  19,   4,  19,   4,   1,   4,   4,   4,   
 /*    */    20,  23,  21,   4,   4,   8,  19,  19,  19,  19,  19,  19, 
 /* 21 */   1,  32,  34,   4,  32,   4,  32,  32,   1,  10,  10,  10,   
 /*    */     4,  11,  17,   4,  10,   8,  32,  32,  32,  32,  32,  32, 
 /* 22 */  34,  24,   4,  17,  24,   4,   4,   4,   1,   4,   1,   1,   
 /*    */    20,   4,  44,  42,  20,   8,   4,   4,   4,   4,   4,   4, 
 /* 23 */  34,  24,  17,  17,  24,  17,  24,  24,  17,   9,  17,  17,   
 /*    */     4,  17,  44,  45,   7,   8,  24,  24,  24,  24,  24,  24, 
 /* 24 */   1,  24,   4,   4,  24,   4,  24,  24,   1,   4,   4,   4,   
 /*    */     4,   4,  38,   4,   4,   8,  24,  24,  24,  24,  24,  24, 
 /* 25 */   1,  41,   4,   4,  41,   4,  41,  41,   1,   4,   4,   4,   
 /*    */     4,   4,  39,   4,   4,   8,  41,  41,  41,  41,  41,  41, 
 /* 26 */   1,  24,   4,  17,  24,   4,   4,   4,   1,   4,   1,   1,   
 /*    */     4,   4,  35,  40,  20,   8,   4,   4,   4,   4,   4,   4, 
 /* 27 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,  36,  37,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 28 */   1,  24,  17,  17,  24,  17,  24,  24,   1,  10,  10,  10,   
 /*    */     4,  11,   5,   4,  10,   8,  24,  24,  24,  24,  24,  24, 
 /* 29 */   1,   4,   4,   4,   4,   1,   4,   4,   1,   9,   1,   1,   
 /*    */     4,   4,   5,   4,   4,   8,   4,   4,   4,  20,   4,   4, 
 /* 30 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 31 */   1,  24,   4,   4,  24,   4,  24,  24,   1,   4,   4,   4,   
 /*    */     4,   4,   4,   4,   4,   8,  24,  24,  24,  24,  24,  24, 
 /* 32 */   1,  24,  17,  17,  24,   1,  24,  24,   1,   4,   4,   4,   
 /*    */     4,   4,   5,   4,   4,   8,  24,  24,  24,  24,  24,  24, 
 /* 33 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 34 */   1,   4,   4,   4,   4,   1,   4,   4,   1,   9,   4,   4,   
 /*    */     4,   4,   4,   4,   4,   8,   4,   4,   4,  20,   4,   4, 
 /* 35 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 36 */   1,   4,   4,   4,   4,   1,   4,   4,   1,  25,  10,  10,   
 /*    */     4,  11,   4,   4,  10,   8,   4,   4,   4,  20,   4,   4, 
 /* 37 */   1,  24,  17,  17,  24,   1,  24,  24,   1,   4,   4,   4,   
 /*    */     4,   4,   5,   4,   4,   8,  24,  24,  24,  24,  24,  24, 
 /* 38 */   1,   4,   4,   4,   4,   1,   4,   4,   1,   9,   1,   1,   
 /*    */    26,   4,   5,   4,  10,   8,   4,   4,   4,  27,   4,   4, 
 /* 39 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 40 */   1,  24,   4,   4,  24,   4,  24,  24,   1,   4,   4,   4,   
 /*    */     4,   4,   4,   4,   4,   8,  24,  24,  24,  24,  24,  24, 
 /* 41 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   9,   1,   1,   
 /*    */     4,   1,   5,  28,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 42 */   1,   4,   4,   4,   4,   1,   4,   4,   1,   9,   4,   4,   
 /*    */    26,   4,   4,   4,  10,   8,   4,   4,   4,  27,   4,   4, 
 /* 43 */   1,   2,   1,   1,   2,   1,   2,   2,   1,   1,   1,   1,   
 /*    */    30,   1,   1,   1,   1,   8,   2,   2,   2,   2,   2,   2, 
 /* 44 */   4,   4,   4,   4,   4,   4,   4,   4,   1,   4,   4,   4,   
 /*    */    43,   4,   4,   4,   4,   4,   4,   4,   4,   4,   4,   4, 
 /* 45 */  34,  41,   4,  42,  41,   4,   4,   4,   1,   4,   4,   4,   
 /*    */    20,   4,  21,  17,  34,   8,   4,   4,   4,   4,   4,   4) 
 /*           |    |    |    |    |    |    |    |    |    |    |    |*/
 /*          13   14   15   16   17   18   19   20   21   22   23   24*/
 /*           |    |    |    |    |    |    |    |    |    |    |    |*/
 /*       ; --+    |    |    |    |    |    |    |    |    |    |    |*/
 /*            : --+    |    |    |    |    |    |    |    |    |    |*/
 /*                 ( --+    |    |    |    |    |    |    |    |    |*/
 /*                      ) --+    |    |    |    |    |    |    |    |*/
 /*                           , --+    |    |    |    |    |    |    |*/
 /*                                % --+    |    |    |    |    |    |*/
 /*                               DECLARE --+    |    |    |    |    |*/
 /*                           condition prefix --+    |    |    |    |*/
 /*                                              IF --+    |    |    |*/
 /*                                                 THEN --+    |    |*/
 /*                                                      ELSE --+    |*/
 /*                                                           WHEN --+*/
 /*                                                                   */
 /*********************************************************************/
                                                                        
